package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc结算汇总对象 cmc_settle_summary
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcSettleSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 结算汇总id */
    private String summaryId;

    /** 结算id */
    @Excel(name = "结算id")
    private String settleId;

    /** 结算内容 */
    @Excel(name = "结算内容")
    private String content;

    /** 结算金额 */
    @Excel(name = "结算金额")
    private BigDecimal amount;

    /** 结算金额（项目部） */
    @Excel(name = "结算金额", readConverterExp = "项=目部")
    private BigDecimal amountXm;

    /** 结算金额（分管） */
    @Excel(name = "结算金额", readConverterExp = "分=管")
    private BigDecimal amountManager;

    public void setSummaryId(String summaryId) 
    {
        this.summaryId = summaryId;
    }

    public String getSummaryId() 
    {
        return summaryId;
    }
    public void setSettleId(String settleId) 
    {
        this.settleId = settleId;
    }

    public String getSettleId() 
    {
        return settleId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setAmountXm(BigDecimal amountXm) 
    {
        this.amountXm = amountXm;
    }

    public BigDecimal getAmountXm() 
    {
        return amountXm;
    }
    public void setAmountManager(BigDecimal amountManager) 
    {
        this.amountManager = amountManager;
    }

    public BigDecimal getAmountManager() 
    {
        return amountManager;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("summaryId", getSummaryId())
            .append("settleId", getSettleId())
            .append("content", getContent())
            .append("amount", getAmount())
            .append("amountXm", getAmountXm())
            .append("amountManager", getAmountManager())
            .append("remark", getRemark())
            .toString();
    }
}
